#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'colours/autoinclude'
require 'verbose_truth/autoinclude'
require 'rbt/utility_scripts/find_alternative_archive.rb'
require 'cliner'

# =========================================================================== #
# === test_this_input
# =========================================================================== #
def test_this_input(input)
  e 'Testing the input `'+royalblue(input)+'` next:'
end
_ = '/Users/x/SRC/GTKPLUS/gtkplus-3.14.11.tar.xz'
e
test_this_input(_)
e
archive = RBT.find_alternative_archive(_)
pp archive.result?
e
e 'The path to the archive in question is at:'
e
efancy '  '+archive.path?.to_s
cliner
e 'Next testing when we pass a number only.' 
_ = '/Users/x/SRC/docbook/docbook-4.5.tar.xz'
test_this_input(_)
archive = RBT.find_alternative_archive(_)
e archive.path?
archive.find_other_archive 4.3
e archive.path?
# =========================================================================== #
# And another run:
# =========================================================================== #
input = '/Users/x/SRC/ruby/ruby-03.07.2017'
test_this_input(input)
archive = RBT.find_alternative_archive(input)
e archive.path?
cliner
# =========================================================================== #
# And another run:
# =========================================================================== #
input = '/Users/x/SRC/glib/glib-2.52.2.tar.xz'
test_this_input(input)
archive = RBT.find_alternative_archive(input)
e archive.path?
e 'Are there more entries in this directory?'
e sfancy(VerboseTruth[archive.more_than_one_entry?])