# =========================================================================== #
# An overview about these scripts:
#
#   Until the year 2005, more specifically about 26.09.2005, I tried to
# write a good ruby script that would allow me to compile and install
# programs from sources.
#
# Everything went quite fine, until I tried to obtain information from
# a yaml file. At that point, things went the wrong way with this old
# script:
#
#   - The script essentially became way too large and chaotic, with
#     many internal weaknesses. In short: it collapsed onto its own
#     complexity.
#
# I then review the concept and started to work with a single yaml file
# instead, containing all programs. Additionally, I used more, smaller
# classes - this time almost everything worked at once.
#
# Lateron, a primitive concept of "Code_Insertions" were added, where 
# particular behaviour could be modified globally, also via yaml files.
#
# The distant goal was to create some kind of "meta distribution" or
# base system for a distribution. The RBT project still has this askind
# one of its goals - to be used, in principle, as the base for some
# dependent projects.
#
# At a later time, aliases were added, including abbreviations. For
# example, "ph" could be used as an alias towards "php5", "ru" could
# be used as alias to "ruby" and so forth.
#
# Another feature that was lateron added was to omit "--" for many
# instructions. For example "--ntrad" could be used as "ntrad" 
# instead.
#
# At an even later time came support for different build-systems, such
# as scons, waf, cmake and so forth. Support for the clang compiler
# was also enabled eventually.
# =========================================================================== #