This file attempts to aggregate together which tasks have to
be done for programs that ought to be compiled/installed.

This "flow chart" should ideally be agnostic, that is, not
specific to any particular implementation via a programming
language.


               (1) determine whether the program is registered in
                   the cookbooks project or whether it is not
                   |
                   |
      [IF YES]    / \ [IF NO]
                 /   \_______________________ ->  Try to compile it, by guessing
                /\                                relevant aspects nonetheless.
               /  \
              /    \________________________________
      [IF HAS TO BE COMPILED]                       \  [IF IT DOES NOT HAVE TO BE COMPILED]
          |                                          \
     (2a) Run "autoconfigure" if specified to do     (2b) [INSTALL AS APPROPRIATE, SUCH
          so.                                              AS A .gem FILE OR SIMILAR]
      (3) run "configure", but only for
          programs that CAN be compiled
          and that HAVE to be compiled.
          |
          |
      (4) perform the "make" step for these
          programs.
          |
          |
      (5) run "CreateProgram" task for programs
          that are not addons to perl, python,
          ruby.
          |      
      (6) perform "make install" step
          |
      (7) |
          if everything has been successfully compiled,
          run "ldconfig".
