#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'cliner'
require 'colours/colours_e_autoinclude.rb'
require 'rbt'
require 'opn'

e
e 'Now we will test the '+sfancy('RBT')+' project.'
e
include RBT

e 'The base dir is:'
e
e '  '+sfancy(RBT.base_dir?)
e
e 'The configuration dir is:'
e
e '  '+sfancy(RBT.configuration_dir?)
e
e 'The configuration file is:'
e
e '  '+sfancy(RBT.configuration_file?)
base = RBT::Base.new
cliner {
  pp base
}; e
e "Will we run a simulation (class Base)? #{base.run_simulation}"
class Test < RBT::Base
  def initialize
    super
  end
end
test = Test.new
e "Will we run a simulation? (class Test)#{test.run_simulation}"
cliner
opn; e 'We will test the RBT Scripts now.'
compile = RBT::Compile.new(:dont_run_yet)
compile.be_silent
compile.set_this_as_input 'xsetmode ntrad'
compile.run
compile.compile_this = :htop
compile.menu 'ntrad'
compile.run
opn; e 'Now testinging to_bash functionality.'
compile.menu 'to_bash'
compile.run